import { useCardPageContext } from "../../../../../pages/CardsPage/contexts/CardPageContext.tsx";
import { CardService } from "../../../../../client";

const useUpdateCard = () => {
    const { selectedCard, setSelectedCard } = useCardPageContext();

    const update = () => {
        if (!selectedCard) return;
        CardService.getCardById({ cardId: selectedCard.id })
            .then(data => {
                setSelectedCard(data);
            });
    };

    return { update };
};

export default useUpdateCard;
